Bug 859422 - [abrt] libreport-gtk-2.0.13-2.fc17: gtk_text_line_segment_split: Process /usr/bin/report-gtk was killed by signal 11 (SIGSEGV)
[abrt] libreport-gtk-2.0.13-2.fc17: gtk_text_line_segment_split: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:68452dd32daeebc5495a5a89968...
:
: 826883 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 10:01 EDT by Simone Baldelli
Modified: 2016-11-30 19:42 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.76 KB, text/plain)
2012-09-21 10:01 EDT, Simone Baldelli
no flags Details
File: environ (1.17 KB, text/plain)
2012-09-21 10:01 EDT, Simone Baldelli
no flags Details
File: backtrace (20.44 KB, text/plain)
2012-09-21 10:01 EDT, Simone Baldelli
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-21 10:01 EDT, Simone Baldelli
no flags Details
File: cgroup (131 bytes, text/plain)
2012-09-21 10:01 EDT, Simone Baldelli
no flags Details
File: maps (22.82 KB, text/plain)
2012-09-21 10:01 EDT, Simone Baldelli
no flags Details
File: dso_list (7.45 KB, text/plain)
2012-09-21 10:01 EDT, Simone Baldelli
no flags Details
File: var_log_messages (312 bytes, text/plain)
2012-09-21 10:01 EDT, Simone Baldelli
no flags Details
File: open_fds (445 bytes, text/plain)
2012-09-21 10:01 EDT, Simone Baldelli
no flags Details

  None (edit)
Description Simone Baldelli 2012-09-21 10:01:10 EDT
Version-Release number of selected component:
libreport-gtk-2.0.13-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        report-gtk -e report_uReport -e analyze_RetraceServer -e report_Bugzilla -e post_report -- /var/spool/abrt/ccpp-2012-09-21-15:27:34-1561
crash_function: gtk_text_line_segment_split
kernel:         3.4.6-2.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 gtk_text_line_segment_split at gtktextsegment.c
: #1 gtk_text_btree_link_segment at gtktextbtree.c
: #2 real_set_mark at gtktextbtree.c
: #3 _gtk_text_btree_select_range at gtktextbtree.c
: #4 gtk_text_buffer_select_range at gtktextbuffer.c
: #5 gtk_text_buffer_place_cursor at gtktextbuffer.c
: #6 highlight_current_word at wizard.c
: #7 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c
: #8 _g_closure_invoke_va at gclosure.c
: #11 gtk_widget_event_internal at gtkwidget.c
Comment 1 Simone Baldelli 2012-09-21 10:01:16 EDT
Created attachment 615447 [details]
File: core_backtrace
Comment 2 Simone Baldelli 2012-09-21 10:01:19 EDT
Created attachment 615448 [details]
File: environ
Comment 3 Simone Baldelli 2012-09-21 10:01:23 EDT
Created attachment 615449 [details]
File: backtrace
Comment 4 Simone Baldelli 2012-09-21 10:01:26 EDT
Created attachment 615450 [details]
File: limits
Comment 5 Simone Baldelli 2012-09-21 10:01:29 EDT
Created attachment 615451 [details]
File: cgroup
Comment 6 Simone Baldelli 2012-09-21 10:01:33 EDT
Created attachment 615452 [details]
File: maps
Comment 7 Simone Baldelli 2012-09-21 10:01:36 EDT
Created attachment 615453 [details]
File: dso_list
Comment 8 Simone Baldelli 2012-09-21 10:01:39 EDT
Created attachment 615454 [details]
File: var_log_messages
Comment 9 Simone Baldelli 2012-09-21 10:01:41 EDT
Created attachment 615455 [details]
File: open_fds
Comment 10 Jakub Filak 2012-10-04 06:36:35 EDT
commit fa8b6d279026a4c0ce637931061dcefe418f4953
Author: Jakub Filak <jfilak@redhat.com>
Date:   Wed Sep 26 12:03:35 2012 +0200

    report-gtk: rework forbidden words highlighting
    
    - fixes rhbz#859422
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
Comment 11 Fedora Update System 2012-10-05 06:47:39 EDT
abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
Comment 12 Fedora Update System 2012-10-05 23:48:23 EDT
Package abrt-2.0.14-1.fc17, libreport-2.0.15-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.14-1.fc17 libreport-2.0.15-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-10-07 22:26:14 EDT
Package libreport-2.0.15-1.fc17, abrt-2.0.14-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.15-1.fc17 abrt-2.0.14-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-2.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 14 Jakub Filak 2012-11-17 03:26:57 EST
*** Bug 826883 has been marked as a duplicate of this bug. ***
Comment 15 Fedora Update System 2013-02-05 08:39:04 EST
abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17
Comment 16 Fedora Update System 2013-03-20 04:43:21 EDT
abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17
Comment 17 Fedora End Of Life 2013-07-04 03:43:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2013-08-01 16:06:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.